> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> OpenPage offers multiple methods for authentication depending on your use case.

## Connect Launcher JWT

Launch your experiences directly on OpenPage and use our JWT token to easily reward users with on-chain badges and rewards. [Learn More](/launcher).

<Steps>
  <Step>
    Receive a JWT auth token in the URL when a user is directed to your experience.

    `https://yourexperience.com?token=eyJhbGciOiJIUzI1...`
  </Step>

  <Step>
    Issue achievements, tokens, or rewards at any point while the user is on your app.

    ```bash theme={null}
    curl --location 'https://api.openpage.fun/v1/launcher/:id/attribute-badge' \
    --header 'X-Api-Key: your-experience-secret' \
    --data '{
        "jwt": {{ jwt }},
        "badgeId": "0000-0000000-00000-00000-00000",
    }'
    ```
  </Step>
</Steps>

<Warning><p>To launch an Experience you will need an API Key from OpenPage Portal.</p><p>[Open OpenPage Portal](https://portal.openpage.fun)</p></Warning>

***

## API Keys

Community endpoints are used to retrieve information about your Communities and associated members and require an API key obtained from the OpenPage Portal.

<Warning><p>Community API keys can be obtained from the OpenPage Portal.</p><p>[Open OpenPage Portal](https://portal.openpage.fun)</p></Warning>
